【记录】使用WordPress 无法使用可视化编辑器 且 手机无法使用可视化与文本编辑器

2,976 views次阅读
2条评论

今天转WordPress程序的时候,数据什么的都迁徙好了,参数什么的也都设置好了。最后想来发个更换博客程序的公告,结果发现了个问题。。无法使用可视化编辑器。。

就是下面这个↓↓

【记录】使用Wordpress

后面上网找了找解决方法发现都没用,然后打开F12一看,有五个网络报错,Status为block:mixed-content 就是浏览器不允许在https页面里嵌入http的请求(现在高版本的浏览器为了用户体验,都不会弹窗报错,只会在控制台上打印一条错误信息),然后我在网站目录的 wp-admin文件夹下的admin-header.php文件中加了一行代码,意思是自动将http的不安全请求升级为https,然后问题就完美解决啦~

echo '<meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests">'; 

【记录】使用Wordpress

Swaggy Macro
版权声明:本站原创文章,由 Swaggy Macro 2019-11-21发表,共计385字。
转载说明:除特殊说明外本站文章皆由CC-4.0协议发布,转载请注明出处。
评论(2条评论)
验证码
载入中...
绛雪玄霜 评论达人 LV.1
2019-11-24 09:18:54 回复

:tushe: 顶

AndroidAndroidChromeChrome66.0.3359.126